SmartMemory
GET
/memory/zettel/{note_id}/graph

Get subgraph around a note (for visualization).

Returns nodes and edges within specified depth for graph visualization.

Authorization

AuthorizationBearer <token>

Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).

In: header

Path Parameters

note_id*Note Id

Query Parameters

depth?Depth

Depth of subgraph (1-3)

include_metadata?Include Metadata

Include note metadata

Response Body

application/json

application/json

curl -X GET "https://example.com/memory/zettel/string/graph"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}